## org.apache.xpath.functions
Class FuncNumber

    java.lang.Object
      |
      +--org.apache.xpath.Expression
            |
            +--org.apache.xpath.functions.Function
                  |
                  +--org.apache.xpath.functions.FunctionOneArg
                        |
                        +--org.apache.xpath.functions.FunctionDef1Arg
                              |
                              +--org.apache.xpath.functions.FuncNumber

public class FuncNumber
extends FunctionDef1Arg

Execute the Number() function.

See Also:
  Serialized Form
Usage:
  **For advanced use only**

Constructor Summary
`FuncNumber()`

Method Summary
`XObject` `execute(XPathContext xctxt)` Execute the function.

Methods inherited from class org.apache.xpath.functions.FunctionDef1Arg
`Arg0IsNodesetExpr, canTraverseOutsideSubtree, checkNumberArgs`

Methods inherited from class org.apache.xpath.functions.FunctionOneArg
`callArgVisitors, deepEquals, fixupVariables, getArg0, getExpression, setArg, setExpression`

Methods inherited from class org.apache.xpath.functions.Function
`callVisitors, postCompileStep`

Methods inherited from class org.apache.xpath.Expression
`asIterator, asIteratorRaw, asNode, assertion, bool, error, execute, execute, execute, executeCharsToContentHandler, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getColumnNumber, getExpressionOwner, getLineNumber, getPublicId, getSystemId, isNodesetExpr, isStableNumber, num, warn, xstr`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FuncNumber

    public FuncNumber()

Method Detail

### execute

    public XObject execute(XPathContext xctxt)
                    throws TransformerException

  Execute the function. The function must return a valid object.
  Parameters:
    `xctxt` - The current execution context.
  Returns:
    A valid XObject.
  Throws:
    TransformerException -
  Overrides:
    execute in class Function

Copyright © 2006 Apache XML Project. All Rights Reserved.